fbsql_stop_db
fbsql_tablename
FrontBase Functions
PHP Manual

# fbsql_table_name

Get table name of field

### Description

string fbsql_table_name ( resource `$result` , int `$index` )

fbsql_table_name gets the name of the current table in the given `result` set.

The fbsql_num_rows function may be used to determine the number of tables in the result pointer.

### Parameters

`result`

  A result pointer returned by fbsql_list_tables.

`index`

  Integer index for the current table.

### Return Values

Returns the name of the table, as a string.

### Examples

Example #1 fbsql_table_name example

`<?php
fbsql_connect("localhost", "_SYSTEM", "");
$result = fbsql_list_tables("wisconsin");
$i = 0;
while ($i < fbsql_num_rows($result)) {
$tb_names[$i] = fbsql_table_name($result, $i);
echo $tb_names[$i] . "<br />";
$i++;
}
?>`